invoiceItem

The invoiceItem query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the InvoiceItem type.

query invoiceItem ($id: ID, $code: String, $format: String) {
  invoiceItem (id: $id, code: $code, format: $format) {
    amount
    chargeType
    comment
    couponId
    creditGrantId
    currencyId
    discount
    drawnFromItemId
    endDate
    id
    invoiceId
    isCoupon
    isCredit
    lineText
    position
    price
    priceDecimals
    prorationRate
    quantity
    startDate
    subtotal
    taxAmount
    taxCode
    taxRate
    vatCode
  }
}

ArgumentsLink to Arguments section

Name Type Description
id ID  
code String  
format String  

ResponseLink to Response section